package web

import (
	"net/url"

	"git.canopymc.net/Etzelia/go-mcm/internal"
)

func (web *Web) Alert(message string, ping bool) (*internal.Status, error) {
	endpoint := web.endpoint("alert")

	form := url.Values{}
	form.Add("api", web.Token)
	form.Add("message", message)
	if ping {
		form.Add("ping", "True")
	}

	return internal.ResponseStatus(endpoint, form)
}
